<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

if (!defined('BASEDIR')) {
  include_once '..' . DIRECTORY_SEPARATOR . 'classes' . DIRECTORY_SEPARATOR . 'constants.php';
}

if (!session_id()) {
  session_start();
}

header('Content-type: application/rss+xml');

$feed = \GetOperations::getVarValue('feed');
$rssFeed = \Kufer\Web\Classes\Rss\RssFeedFactory::getRssFeed($feed);
$clearCache = \GetOperations::getVarValue('clearCache', false);
$rss = $rssFeed->getRss($clearCache);

echo CodingOperations::encodeAnzeige(true, $rss);